#include <mintbind.h>
#include <stdlib.h>
#include <stdio.h>
#include <limits.h>
#include <gem.h>

enum {FALSE, TRUE};

int main(void)
{
    char buf[PATH_MAX]  = {0};
	char path[PATH_MAX] = {0};
	short appid  = -1;
	int rtrn	 = EXIT_SUCCESS;

	if ((appid = appl_init()) != -1)
	{
		path[0] = Dgetdrv() + 'A';
		path[1] = ':';
	
		if ((Dgetcwd(buf, 0, sizeof buf)) == 0) {
			snprintf(&path[2], sizeof path - 2, "%s", buf);
		}

		char alert[128] = {0};
		snprintf(alert, sizeof alert, "%s[current working directory:|%s][OK]", FA_INFO, path);
		form_alert(1, alert);

		appl_exit();
	}
	else {
		rtrn = EXIT_FAILURE;
	}
	return rtrn;
}
